# Created by pyp2rpm-3.3.7
%global pypi_name oci-cli
%global pypi_version 3.11.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        3%{?dist}.37
Summary:        Oracle Cloud Infrastructure CLI

License:        Universal Permissive License 1.0 or Apache License 2.0
URL:            https://docs.cloud.oracle.com/iaas/Content/API/Concepts/cliconcepts.htm
Source0:        https://github.com/oracle/%{pypi_name}/archive/v%{pypi_version}/%{pypi_name}-%{pypi_version}.tar.gz
Patch0:         python-oci-cli-deps-versions.patch
Patch1:         python-oci-cli-click-8.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(arrow) >= 1
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(click) >= 7.1.2
BuildRequires:  (python3dist(cryptography) >= 3.2.1 with python3dist(cryptography) <= 37.0.2)
BuildRequires:  python3dist(cx-oracle) >= 7
BuildRequires:  python3dist(jmespath) >= 0.10
BuildRequires:  python3dist(oci) = 2.75.1
BuildRequires:  python3dist(prompt-toolkit) >= 3.0.16
BuildRequires:  (python3dist(pyopenssl) >= 17.5.0 with python3dist(pyopenssl) <= 22.0.0)
BuildRequires:  (python3dist(python-dateutil) >= 2.5.3 with python3dist(python-dateutil) < 3)
BuildRequires:  python3dist(pytz) >= 2016.10
BuildRequires:  python3dist(pyyaml) >= 5.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.15
BuildRequires:  python3dist(terminaltables) >= 3.1
# For tests
#BuildRequires:  python3dist(pytest)
#BuildRequires:  python3dist(mock)
#BuildRequires:  python3dist(vcrpy)

%description
This is the command line interface for Oracle Cloud Infrastructure.
The project is open source and maintained by Oracle Corp.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(arrow) >= 1
Requires:       python3dist(certifi)
Requires:       python3dist(click) >= 7.1.2
Requires:       (python3dist(cryptography) >= 3.2.1 with python3dist(cryptography) <= 37.0.2)
Requires:       python3dist(cx-oracle) >= 7
Requires:       python3dist(jmespath) >= 0.10
Requires:       python3dist(oci) = 2.75.1
Requires:       python3dist(prompt-toolkit) >= 3.0.16
Requires:       (python3dist(pyopenssl) >= 17.5.0 with python3dist(pyopenssl) <= 22.0.0)
Requires:       (python3dist(python-dateutil) >= 2.5.3 with python3dist(python-dateutil) < 3)
Requires:       python3dist(pytz) >= 2016.10
Requires:       python3dist(pyyaml) >= 5.4
Requires:       python3dist(setuptools)
Requires:       python3dist(six) >= 1.15
Requires:       python3dist(terminaltables) >= 3.1
%description -n python3-%{pypi_name}
This is the command line interface for Oracle Cloud Infrastructure.
The project is open source and maintained by Oracle Corp.


%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt THIRD_PARTY_LICENSES.txt
%doc README.rst
%{_bindir}/create_backup_from_onprem
%{_bindir}/oci
%{python3_sitelib}/common_util
%{python3_sitelib}/oci_cli
%{python3_sitelib}/services
%{python3_sitelib}/interactive
%{python3_sitelib}/oci_cli-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jul 22 2021 Oleg Girko <ol@infoserver.lv> - 3.11.1-3
- Add patch to fix error when using default profile with click 8
* Thu Jul 22 2021 Oleg Girko <ol@infoserver.lv> - 3.11.1-2
- Fix click dependency in the dependency fixing patch
* Wed Jul 21 2021 Oleg Girko <ol@infoserver.lv> - 3.11.1-1
- Update to 3.11.1.
* Mon Dec 20 2021 Oleg Girko <ol@infoserver.lv> - 3.4.0-1
- Initial package.
